%define qtdir /usr/lib/qt3 

Name: kcheckers
Version: 0.5
Release: alt3

Group: Games/Boards
Summary: Classic boardgame - checkers
License: GPL
Url: http://kcheckers.osdn.org.ua


Source: %name-%version.tar.bz2
Source2: %name-16.png
Source3: %name-32.png
Source4: %name-48.png

Patch1: config.h.patch
Patch2: qt-translator-path.patch

# Automatically added by buildreq on Mon Aug 23 2004 (-bi)
#BuildRequires: XFree86-devel XFree86-libs fontconfig freetype2 gcc-c++ libqt3-devel libstdc++-devel
BuildRequires: XFree86-devel XFree86-libs
BuildRequires: fontconfig freetype2 gcc-c++
BuildRequires: libqt3-devel-cxx = %__gcc_version_base
# hack for apt in hasher
BuildRequires: libqt3-devel > 3, libqt3-qsa-devel > 1

%description
Tish is classic boardgame "checkers".
This game is also known as "draughts".

%prep
%setup -q
%patch1 -p1
%patch2 -p1

%build
export QTDIR=%qtdir PATH=%qtdir/bin:$PATH
qmake
%make clean
%make_build

%install
mkdir -p %buildroot/%_gamesbindir
install -m 0755 %name %buildroot/%_gamesbindir

mkdir -p %buildroot/%_menudir
cat <<EOF >%buildroot/%_menudir/%name
?package(%name):command="%name" \
		  icon=%name.png \
		  needs="x11" \
		  section="Amusement/Boards" \
		  title="KCheckers"\
		  longtitle="Classic boardgame - checkers"
EOF

mkdir -p %buildroot/%_datadir/%name/
install -Dm 0644 i18n/*.qm %buildroot/%_datadir/%name/
install -Dm 0644 %SOURCE2 %buildroot/%_iconsdir/hicolor/16x16/apps/%name.png
install -Dm 0644 %SOURCE3 %buildroot/%_iconsdir/hicolor/32x32/apps/%name.png
install -Dm 0644 %SOURCE4 %buildroot/%_iconsdir/hicolor/48x48/apps/%name.png

%post
%update_menus
%postun
%clean_menus

%files
%_gamesbindir/*
%_datadir/%name
%_menudir/*
%_iconsdir/*/*/*/%name.png
%doc ChangeLog AUTHORS

%changelog
* Fri Jan 21 2005 Sergey V Turchin <zerg at altlinux dot org> 0.5-alt3
- rebuild with gcc3.4

* Mon Aug 23 2004 Sergey V Turchin <zerg at altlinux dot org> 0.5-alt2
- fix path to Qt and %name translations

* Mon Aug 23 2004 Sergey V Turchin <zerg at altlinux dot org> 0.5-alt1
- new version

* Sat Mar 20 2004 Sergey V Turchin <zerg at altlinux dot org> 0.4-alt2
- rebuild

* Wed Jan 15 2003 Sergey V Turchin <zerg@altlinux.ru> 0.4-alt1
- new version

* Thu Sep 19 2002 Sergey V Turchin <zerg@altlinux.ru> 0.3-alt1
- new version
- build with gcc3.2

* Fri Jun 14 2002 Sergey V Turchin <zerg@altlinux.ru> 0.2-alt1
- initial spec

